org.apache.drill.jdbc

## Interface DrillStatement

All Superinterfaces:
  AutoCloseable, Statement, Wrapper

    public interface DrillStatement
    extends Statement

Drill-specific `Statement`.

See Also:
  `Wrapper.unwrap(java.lang.Class<T>)`

### Field Summary

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Method Summary

Methods
`int` `getQueryTimeout()` Drill: Returns zero, indicating that no timeout is set.
`boolean` `isClosed()`
`void` `setQueryTimeout(int milliseconds)` Drill: Not supported (for non-zero timeout value).

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### getQueryTimeout

    int getQueryTimeout()
                        throws AlreadyClosedSqlException

Drill: Returns zero, indicating that no timeout is set.

Specified by:
  `getQueryTimeout` in interface `Statement`
Throws:
  `AlreadyClosedSqlException` - if connection is closed

#### setQueryTimeout

    void setQueryTimeout(int milliseconds)
                         throws AlreadyClosedSqlException,
                                JdbcApiSqlException,
                                SQLFeatureNotSupportedException

Drill: Not supported (for non-zero timeout value).

Normally, just throws `SQLFeatureNotSupportedException` unless request is trivially for no timeout (zero `milliseconds` value).

Specified by:
  `setQueryTimeout` in interface `Statement`
Throws:
  `AlreadyClosedSqlException` - if connection is closed
  `JdbcApiSqlException` - if an invalid parameter value is detected (and not above case)
  `SQLFeatureNotSupportedException` - if timeout is non-zero (and not above case)

#### isClosed

    boolean isClosed()

Drill: Does not throw SQLException.

Specified by:
  `isClosed` in interface `Statement`